Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158668 - php not capable of opening >2Gb files
Summary: php not capable of opening >2Gb files
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 18:31 UTC by Alberto de Luis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 15:37:40 UTC


Attachments (Terms of Use)

Description Alberto de Luis 2005-05-24 18:31:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
This is a petition for a default php.rpm with big files opening posibility. When I try to fopen a file exceding 2GB php returns this error:

PHP Warning:  fopen(file:///data/fasta/homo_sapiens_core_31_35d.dna.fa): failed to open stream: File too large in /data/www/html/probefinder/scripts/fastasha1.php on line 5

Is possible to surpass this limit in the future?

Thank you!

Version-Release number of selected component (if applicable):
php-5.0.4-10

How reproducible:
Always

Steps to Reproduce:
1. Prepare a big file (>2GB)
2. Try to open (fopen($file);)
  

Actual Results:  Scripts return an error, for example:

PHP Warning:  fopen(file:///data/fasta/homo_sapiens_core_31_35d.dna.fa): failed to open stream: File too large in /data/www/html/probefinder/scripts/fastasha1.php on line 5

Expected Results:  Script reading the file.

Additional info:

Comment 1 Joe Orton 2005-06-21 15:37:40 UTC
There is no easy fix for this, unfortunately; it requires fixing properly
upstream and is likely to require interface changes.


Note You need to log in before you can comment on or make changes to this bug.